List debug sessions
GET /api/gateway_groups/{gateway_group_id}/debug_sessions
GET /api/gateway_groups/{gateway_group_id}/debug_sessionsInteractive request editor loads with JavaScript.
In: header
Path Parameters
Gateway group ID.
1 <= lengthQuery Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order resources by.
"updated_at"Value in
- "created_at"
- "updated_at"
Condition to search resources by.
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/debug_sessions?search=version%253Dv2"Successfully retrieved the paginated list of debug sessions.
{
"total": 1,
"list": [
{
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"name": "us-west-rsc",
"description": "Object description.",
"target_instances": [
"bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"
],
"sampling_rule": [
[
"status",
">=",
500
]
],
"max_samples": 0,
"duration_secs": 0,
"status": "active",
"created_at": 1742288232,
"updated_at": 1742288235,
"started_at": 1742288230,
"stopped_at": 1742288230,
"completed_at": 1742288230
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/debug_sessions
List debug sessions
IAM Action: gateway:GetDebugSession, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order resources by.search(query, string, optional): Condition to search resources by.
Responses
200: Successfully retrieved the paginated list of debug sessions.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of debug sessions.list[].id(string, optional): The object ID.list[].name(string, optional): The object name.list[].description(string, optional): The object description.list[].target_instances(array, optional):list[].sampling_rule(array,null, optional): Sampling rules in lua-resty-expr format.list[].max_samples(integer, optional): Maximum number of traces returned by the list API.list[].duration_secs(integer, optional): Time-to-live in seconds for data plane configuration.list[].status(string, optional):list[].created_at(integer, optional): The object created timestamp.list[].updated_at(integer, optional): The object updated timestamp.list[].started_at(integer,null, optional): The object timestamp.list[].stopped_at(integer,null, optional): The object timestamp.list[].completed_at(integer,null, optional): The object timestamp.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/debug_sessions'